@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO                  Clear FPC Simple 
ECHO ----------------------------------------------------------

if NOT EXIST %FPCDIR%\ (
   ECHO ERROR: FreePascal Directory NOT EXIST !!!
  GOTO ERROR
)

if NOT EXIST %FPCDIR%\bin\i386-win32\make.exe (
  ECHO ERROR: FreePascal Win32 make.exe NOT EXIST !!!
  GOTO ERROR
)

pushd %FPCDIR%\
%FPCDIR%\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  
del /F /Q %FPCDIR%\compiler\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q %FPCDIR%\compiler\utils\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q %FPCDIR%\utils\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR

GOTO END

:ERROR 
echo ERROR %0
SET CTERR=1
:end

