@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO -----------------------------------------------------
ECHO                  Extract Lazarus Source 
ECHO -----------------------------------------------------

if EXIST ..\binZips\lazarus_src.zip (

  ..\binTools\win32\7za.exe x ..\binZips\lazarus_src.zip -o"%LAZDIR%" -y
  IF NOT ERRORLEVEL 0 GOTO ERROR

  ECHO.
  ECHO -------------------------------------------------------
  ECHO              Copy Lazarus MOD Things...
  ECHO -------------------------------------------------------
  ECHO.
  xcopy /E /R /Y ..\binMOD\lazarus "%LAZDIR%\"
  IF NOT ERRORLEVEL 0 GOTO ERROR
  Rem Allows for conditional operations in batch processing.

) ELSE (
  ECHO ERROR: Lazarus Source Zip File NOT EXIST !!!
  GOTO ERROR
)

GOTO END

:ERROR
echo ERROR %0
SET CTERR=1
:END
