@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


CALL x_Lazarus_Settings_Clear
IF NOT %CTERR%.==. GOTO ERROR


REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win32 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


IF EXIST %LAZDIR%\xxlazarusWin32.txt (

IF NOT EXIST %LAZDIR%\bin32\settings (
mkdir %LAZDIR%\bin32\settings
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: create %LAZDIR%\bin32\settings directory
)

ECHO.
ECHO ------------------------------------------------------------
ECHO        Lazarus32 Restore -Default- Settings for Windows 
ECHO ------------------------------------------------------------
rmdir /S /Q "%LAZDIR%\bin32\settings"
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binSettings\win32\lazarus %LAZDIR%\bin32\settings\
IF NOT ERRORLEVEL 0 GOTO ERROR

IF EXIST ..\binSettings\win32\lazarus.exe (
ECHO.
ECHO ------- Restore Laz32 Executables from Settings ----------
copy /Y ..\binSettings\win32user\lazarus.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win32user\startlazarus.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win32user\lazbuild.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
)
GOTO END
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win64 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


IF EXIST %LAZDIR%\xxlazarusWin64.txt (

IF NOT EXIST %LAZDIR%\bin64\settings (
mkdir %LAZDIR%\bin64\settings
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: create %LAZDIR%\bin64\settings directory
)

ECHO.
ECHO ----------------------------------------------------------
ECHO    Lazarus64 Restore -Default- Settings for Windows
ECHO ----------------------------------------------------------
rmdir /S /Q "%LAZDIR%\bin64\settings"
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binSettings\win64\lazarus %LAZDIR%\bin64\settings\
IF NOT ERRORLEVEL 0 GOTO ERROR

IF EXIST ..\binSettings\win64\lazarus.exe (
ECHO.
ECHO ------- Restore Laz64 Executables from Settings ----------
copy /Y ..\binSettings\win64user\lazarus.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win64user\startlazarus.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win64user\lazbuild.exe %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR
)
)

GOTO END

:ERROR
echo Error !  %0
SET CTERR=1
:END


