@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

IF NOT EXIST %LAZDIR%\lazarus.exe GOTO ERROR

IF EXIST %LAZDIR%\xxlazarusWin64.txt (
ECHO.
ECHO ==============================================================
ECHO               Swhich to Lazarus32 
ECHO ==============================================================

CALL x_Lazarus_User_Settings_Save
IF NOT %CTERR%.==. GOTO ERROR

del %LAZDIR%\xxlazarusWin64.txt
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\bin\xxlazarusWin32.txt %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR

if EXIST ..\binSettings\win32user\lazarus.exe (
  CALL x_Lazarus_user_Settings_Restore
  IF NOT %CTERR%.==. GOTO ERROR
) ELSE (
  ECHO INFO: NOT found user Settings, so Restore -Default- Settings
  CALL x_Lazarus_Settings_Restore
  IF NOT %CTERR%.==. GOTO ERROR
)

ECHO.
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO !         Working IDE Now is Lazarus for Win32/32bits       !
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

GOTO END

)

IF EXIST %LAZDIR%\xxlazarusWin32.txt (
ECHO.
ECHO ==============================================================
ECHO               Swhich to Lazarus64 
ECHO ==============================================================

CALL x_Lazarus_User_Settings_Save
IF NOT %CTERR%.==. GOTO GOTO ERROR

del %LAZDIR%\xxlazarusWin32.txt
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\bin\xxlazarusWin64.txt %LAZDIR%\
IF NOT ERRORLEVEL 0 GOTO ERROR

if EXIST ..\binSettings\win64user\lazarus.exe (
  CALL x_Lazarus_user_Settings_Restore
  IF NOT %CTERR%.==. GOTO ERROR
) ELSE (
  ECHO INFO: NOT found user Settings, so Restore -Default- Settings
  CALL x_Lazarus_Settings_Restore
  IF NOT %CTERR%.==. GOTO ERROR
)

ECHO.
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO !         Working IDE Now is Lazarus for Win64/64bits       !
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
)

GOTO END

:ERROR
echo ERROR %0
SET CTERR=1
:END