@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


ECHO.
ECHO =====================================================================
ECHO                  Build FreePascal 32bit  
ECHO =====================================================================

if NOT EXIST %FPCDIR%\Makefile.fpc (
ECHO INFO: FreePascal Source NOT EXIST!!!
CALL x_FPC_Extract_Source_From_ZipFile
IF NOT %CTERR%.==. GOTO ERROR
)

if NOT EXIST %FPCDIR%\bin\i386-win32\make.exe (
ECHO.
ECHO -------------------------------------------------------
ECHO                  Copy FreePascal 32bit Bin Files 
ECHO -------------------------------------------------------
xcopy /E /R /Y ..\bin\i386-win32 %FPCDIR%\bin\i386-win32\
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binGDB\win32 %FPCDIR%\binGDB\win32\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
pushd %FPCDIR%\
%FPCDIR%\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Build FreePascal 32bit 
ECHO -------------------------------------------------------
pushd %FPCDIR%\
%FPCDIR%\bin\i386-win32\make.exe all
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Install FreePascal 32bit 
ECHO -------------------------------------------------------
pushd %FPCDIR%\
%FPCDIR%\bin\i386-win32\make.exe install
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
pushd %FPCDIR%\
%FPCDIR%\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd

GOTO END

:ERROR 
echo ERROR ! %0
SET CTERR=1
:END  
