@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


ECHO.
ECHO ----------------------------------------------------------
ECHO                  Clear Lazarus Simple 
ECHO ----------------------------------------------------------

if NOT EXIST %LAZDIR%\ (
ECHO ERROR: Lazarus Directory NOT EXIST !!!
GOTO ERROR
)

if NOT EXIST %FPCDIR%\ (
ECHO ERROR: FreePascal Directory NOT EXIST !!!
GOTO ERROR
)

IF EXIST %LAZDIR%\xxlazarusWin32.txt (
  pushd %LAZDIR%\
  %FPCDIR%\bin\i386-win32\make.exe clean
  IF NOT ERRORLEVEL 0 GOTO ERROR
  popd  
)
IF EXIST %LAZDIR%\xxlazarusWin64.txt (
  pushd %LAZDIR%\
  %FPCDIR%\bin\x86_64-win64\make.exe clean
  IF NOT ERRORLEVEL 0 GOTO ERROR
  popd  

)

GOTO END

:ERROR 
echo an error happened in %0
SET CTERR=1
:END
